org.fourthline.cling.model

## Class UnsupportedDataException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.fourthline.cling.model.UnsupportedDataException

- All Implemented Interfaces:
    Serializable

      public class UnsupportedDataException
      extends RuntimeException

  Thrown by processors/converters when errors occurred.

  This exception indicates that received data was in an invalid format and/or could not be parsed or converted. You typically can recover from this failure after catching (and logging?) the exception.

  Author:
    Christian Bauer
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `data`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedDataException(String s)`
    `UnsupportedDataException(String s, Throwable throwable)`
    `UnsupportedDataException(String s, Throwable throwable, Object data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getData()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### data

          protected Object data

  - ### Constructor Detail

    - #### UnsupportedDataException

          public UnsupportedDataException(String s)

    - #### UnsupportedDataException

          public UnsupportedDataException(String s,
                                          Throwable throwable)

    - #### UnsupportedDataException

          public UnsupportedDataException(String s,
                                          Throwable throwable,
                                          Object data)

  - ### Method Detail

    - #### getData

          public Object getData()

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.